Package org.jboss.resteasy.jose.jwe

## Class JWEBuilder.EncryptionBuilder

- java.lang.Object
- - org.jboss.resteasy.jose.jwe.JWEBuilder.EncryptionBuilder

- Enclosing class:
    JWEBuilder

      public class JWEBuilder.EncryptionBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EncryptionBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JWEBuilder.EncryptionBuilder` | `A128CBC_HS256()` |
    `JWEBuilder.EncryptionBuilder` | `A128GCM()` |
    `JWEBuilder.EncryptionBuilder` | `A256CBC_HS512()` |
    `JWEBuilder.EncryptionBuilder` | `A256GCM()` |
    `JWEBuilder.EncryptionBuilder` | `compressed()` |
    `String` | `dir​(byte[] secret)` | Secret must meet the size requirements of the EncryptionMethod.
    `String` | `dir​(String secret)` | Hashes the string into the required secret key size defined by the EncryptionMethod.
    `String` | `dir​(SecretKey key)` |
    `String` | `RSA_OAEP​(RSAPublicKey publicKey)` |
    `String` | `RSA1_5​(RSAPublicKey publicKey)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncryptionBuilder

          public EncryptionBuilder()

  - ### Method Detail

    - #### compressed

          public JWEBuilder.EncryptionBuilder compressed()

    - #### A128CBC_HS256

          public JWEBuilder.EncryptionBuilder A128CBC_HS256()

    - #### A256CBC_HS512

          public JWEBuilder.EncryptionBuilder A256CBC_HS512()

    - #### A128GCM

          public JWEBuilder.EncryptionBuilder A128GCM()

    - #### A256GCM

          public JWEBuilder.EncryptionBuilder A256GCM()

    - #### RSA1_5

          public String RSA1_5​(RSAPublicKey publicKey)

    - #### RSA_OAEP

          public String RSA_OAEP​(RSAPublicKey publicKey)

    - #### dir

          public String dir​(String secret)

      Hashes the string into the required secret key size defined by the EncryptionMethod.
      Parameters:
        `secret` - secret key
      Returns:
        encrypted data

    - #### dir

          public String dir​(byte[] secret)

      Secret must meet the size requirements of the EncryptionMethod.
      Parameters:
        `secret` - secret key
      Returns:
        encrypted data

    - #### dir

          public String dir​(SecretKey key)